Home
Reading
Searching
Subscribe
Sponsors
Statistics
Posting
Contact
Spam
Lists
Links
About
Hosting
Filtering
Features Download
Marketing
Archives
FAQ
Blog
 
Gmane
From: <updates <at> fedoraproject.org>
Subject: [SECURITY] Fedora 15 Update: wordpress-3.3.2-2.fc15
Newsgroups: gmane.linux.redhat.fedora.package.announce
Date: Friday 11th May 2012 10:30:10 UTC (over 4 years ago)
--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2012-6511
2012-04-24 14:10:31
--------------------------------------------------------------------------------

Name        : wordpress
Product     : Fedora 15
Version     : 3.3.2
Release     : 2.fc15
URL         : http://www.wordpress.org
Summary     : Blog tool and publishing platform
Description :
Wordpress is an online publishing / weblog package that makes it very easy,
almost trivial, to get information out to people on the web.

--------------------------------------------------------------------------------
Update Information:

Uploading files related security issues were addressed by the upstream
upgrade.
--------------------------------------------------------------------------------
ChangeLog:

* Mon Apr 23 2012 'Matěj Cepl ' - 3.3.2-2
- Security updates for uploading files.
  * Fixed CVE-2011-0700: two XSS bug. Affects users of the Author
    or Contributor role.
  * Fixed CVE-2011-0701: potential information disclosure of
    posts through the media uploader.
* Wed Jan  4 2012 'Matěj Cepl ' - 3.3.1-1
- Security (XSS) and maintenance upstream release.
* Tue Dec 13 2011 'Matěj Cepl ' - 3.3-1
- New upstream release.
* Wed Dec  7 2011 'Matěj Cepl ' - 3.3-0.5.RC2
- ... and one day after I upgraded to RC1, we have new RC2 ;)
* Tue Dec  6 2011 'Matěj Cepl ' - 3.3-0.4.RC1
- Cool we are on RC1!
* Thu Nov 24 2011 'Matěj Cepl ' - 3.3-0.3.beta4
- Another upstream beta release (now hopefully, really close to RC)
* Fri Nov 11 2011 'Matěj Cepl ' - 3.3-0.3.beta3
- Fix version requirement for php (Closes #753192)
* Wed Nov  9 2011 'Matěj Cepl ' - 3.3-0.2.beta3
- Another upstream beta release.
* Thu Oct 20 2011 'Matěj Cepl ' - 3.3-0.1.beta2
- New upstream beta release (just for Rawhide, to be sure we build)
* Sat Jul 30 2011 Matěj Cepl  - 3.2.1-2
- Rebuilt against new libraries.
* Wed Jul 13 2011 Matěj Cepl  - 3.2.1-1
- New upstream release. Small fixes missed in 3.2.
* Tue Jul  5 2011 Matěj Cepl  - 3.2-1
- New upstream release.
* Wed Jun 29 2011 Matěj Cepl  - 3.1.4-1
- New upstream security release.
* Thu Jun  2 2011 Matěj Cepl  - 3.1.3-3
- Actually, we just don't need gettext.php at all, it is provided by
  php itself. Just remove the file, don't make a symlink.
- revert back to wp-content in /usr/share/wordpress, I am not able to make
it
  work. Not fixing BZ 522897.
* Wed Jun  1 2011 Matěj Cepl  - 3.1.3-2
- Fix old FSF address and Summary to make rpmlint happy.
- Make wp-content directory owned by apache:apache
- Correctly Provides/Obsoletes (with versions)
* Wed May 25 2011 Matěj Cepl  - 3.1.3-1
- Upgrade to the latest upstream version (security fixes and enhancements,
BZ 707772)
- Move wp-content directory to /var/www/wordpress/ (BZ 522897)
- Simplify overly detailed %files
* Sun May  1 2011 Matěj Cepl  - 3.1.2-1
- New upstream release.
* Tue Apr 12 2011 Matěj Cepl  - 3.1.1-1
- 3.1.1
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #815384 - CVE-2012-2399 wordpress (X < 3.3.2): Unspecified
vulnerability in SWFUpload
        https://bugzilla.redhat.com/show_bug.cgi?id=815384
  [ 2 ] Bug #815387 - CVE-2012-2400 wordpress (X < v3.3.2): Unspecified
vulnerability in the SWFObject
        https://bugzilla.redhat.com/show_bug.cgi?id=815387
  [ 3 ] Bug #815388 - CVE-2012-2401 wordpress (X < v3.3.2): Plupload - Same
origin policy bypass via crafted SWF content
        https://bugzilla.redhat.com/show_bug.cgi?id=815388
  [ 4 ] Bug #815389 - CVE-2012-2402 wordpress (X < v3.3.2): Remote
authenticated site administrators able to deactivate network-wide plugins
under certain circumstances
        https://bugzilla.redhat.com/show_bug.cgi?id=815389
  [ 5 ] Bug #815391 - CVE-2012-2403 wordpress (X < v3.3.2): XSS when making
URLs clickable
        https://bugzilla.redhat.com/show_bug.cgi?id=815391
  [ 6 ] Bug #815392 - CVE-2012-2404 wordpress (X < v3.3.2): XSS in
redirects after posting comments, and when filtering URLs
        https://bugzilla.redhat.com/show_bug.cgi?id=815392
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update wordpress' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on
the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
--------------------------------------------------------------------------------
_______________________________________________
package-announce mailing list
[email protected]
https://admin.fedoraproject.org/mailman/listinfo/package-announce
 
CD: 3ms